Bug 428452 - pm-utils needs Requires: hal
pm-utils needs Requires: hal
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 12:19 EST by Orion Poplawski
Modified: 2008-06-12 22:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.99.4-17.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 11:33:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2008-01-11 12:19:41 EST
Description of problem:

/usr/bin/on_ac_power in pm-utils uses scripts provided by hal, so pm-utils needs
to require hal.  Needs to be fixed in F-7 and up.
Comment 1 Till Maas 2008-01-11 12:42:15 EST
Change is commited to Rawhide, other releases will be fixed when the patched
rawhide version is good enough to be synced to the other releases.
Comment 2 Fedora Update System 2008-04-19 09:46:08 EDT
pm-utils-0.99.4-17.fc7 has been submitted as an update for Fedora 7
Comment 3 Fedora Update System 2008-04-19 09:46:33 EDT
pm-utils-0.99.4-17.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-04-22 18:38:08 EDT
pm-utils-0.99.4-17.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pm-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-3246
Comment 5 Bug Zapper 2008-05-14 11:15:05 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora Update System 2008-05-18 13:24:04 EDT
pm-utils-0.99.4-18.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-06-09 18:28:16 EDT
pm-utils-0.99.4-19.fc8 has been submitted as an update for Fedora 8
Comment 8 Fedora Update System 2008-06-12 22:20:10 EDT
pm-utils-0.99.4-19.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.